Subject: rkhunter default config false warning re: systemd

From: "Jon C. LeBlanc" <[email-masked]>
Date: Mon, 15 Jul 2019 19:26:48 +0000

Package: Rootkit Hunter 1.4.6
Devuan version: Beowulf
uname -a output: Linux coho 4.19.0-5-amd64 #1 SMP Debian 4.19.37-5 (2019-06-19) x86_64 GNU/Linux

The rkhunter package's default /etc/rkhunter.conf configuration generates a warning when it cannot find systemd, so could you please add the following to the default /etc/rkhunter.conf file:

RTKT_FILE_WHITELIST=/var/run/udev.pid

After adding that line the warning is eliminated, but there is a second config entry that does not pass the 'rkhunter -C' configuration file self-check:

DISABLE_UNHIDE=1

When I commented that line the warning went away. I have not debugged that warning so I don't know what it is about.

Thanks!